--- title: "Redeploy App" url: https://docs.catalyst.zoho.com/en/api/code-reference/slate/redeploy-app/ description: "This API enables you to execute an existing Catalyst Pipeline from the Catalyst console." last_updated: 2026-08-17T12:16:04Z service: Pipelines type: api --- # Catalyst Slate [Slate](https://docs.catalyst.zoho.com/en/slate/help/introduction) is a robust front-end development service offered by Catalyst that enables you to seamlessly deploy, preview, and launch your web applications. It offers native support for the popular JavaScript frameworks, such as Next.js, Angular, and React, while seamlessly accommodating other frontend frameworks for hassle-free deployment. # Redeploy Application You can trigger a new build for an existing deployment in Slate by passing the unique Catalyst project ID, the specific Slate application name within the project, and the deployment ID to the API below. ### Request Details #### Request URL `POST` {api-domain}/slate/v1/project/{project_id}/app/{app_id}/deployment/{deployment_id}/redeploy - **api-domain** (URL): The domain URL of your DC - **project_id** (Numerical): The unique ID of the app in Slate - **deployment_id** (Numerical): The unique ID of the deployment in Slate > **Note:** Open the Slate deployment in the console, and you can fetch the following values from the URL. https://console.catalyst.zoho.com/baas/96403455/project/26879000000021001/slate/app/1860000000007114/deployment/1860000000007119 Here, `26879000000021001` is the `project_id`. `1860000000007114` is the `app_id` and `1860000000007119` is the `deployment_id`. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json #### Request JSON Properties - **Environment Variable** (key-value pair, optional): Pass environment variables as key-value pairs through the request body. For example: {"API_KEY": "xxxxxxxx2433"} #### Scope ZohoCatalyst.Slate.app.CREATE ### Response Details The response will include the status of the new build deployment, detailed deployment information, the commit message, and the commit URL retrieved directly from the connected Git repository, along with additional metadata. **Sample Request** ```bash curl -X POST \ 'https://api.catalyst.zoho.com/slate/v1/project/4000000006007/app/29810101101/deployment/1860000000007119/redeploy' -H 'Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57' \ -H 'Content-Type: application/json' \ -d ‘{ {"API_KEY": "xxxxxxx2433"} \ } ``` **Sample Response** ```json { "status": "success", "data": { "id": "2289000000006001", "status": "Queued", "created_time": "Feb 04, 2025 10:46 AM", "created_by": { "zuid": "92747509", "is_confirmed": false, "email_id": "amelia.b@zylker.com", "first_name": "Amelia", "last_name": "Burrows", "user_type": "SuperAdmin", "user_id": "28674000000016006" }, "deployment_id": "2289000000004006", "build_meta": { "event_type": "push", "commit_id": "18f6b8ef0d2586718a015be07701bd6ba486a18f", "commit_message": "Initial commit", "commit_url": "https://api.github.com/repos/ameliab-13966/nextjs-mongo-db/commits/18f6b8ef0d2586718a015be07701bd6ba486a18f", "timestamp": "2024-12-23T07:22:39Z", "author_name": "amelia-b-13966", "repo_id": "907257721", "repo_name": "nextjs-mongo-db", "web_url": "https://github.com/ameliab-13966/nextjs-mongo-db", "ssh_url": "git@github.com:ameliab-13966/nextjs-mongo-db.git", "http_url": "https://github.com/ameliab-13966/nextjs-mongo-db.git", "provider": "Github", "repo_slug": "nextjs-mongo-db" } } } ```